REM Clean up the results directory
rmdir /S /Q results
mkdir results

REM Verilog Design Flow
rem Synthesize the Verilog Wrapper Files
rem creating the xst project file using $XILINX reference
echo verilog work %XILINX%/verilog/src/iSE/unisim_comp.v > xst.prj
echo verilog work ../example_design/sync_block.v >> xst.prj
echo verilog work ../example_design/reset_sync.v >> xst.prj
echo verilog work ../example_design/transceiver/gtp_wrapper_tile.v >> xst.prj
echo verilog work ../example_design/transceiver/gtp_wrapper.v >> xst.prj
echo verilog work ../example_design/transceiver/transceiver_A.v >> xst.prj
echo verilog work ../example_design/sgmii_adapt/johnson_cntr.v >> xst.prj
echo verilog work ../example_design/sgmii_adapt/clk_gen.v >> xst.prj
echo verilog work ../example_design/sgmii_adapt/rx_rate_adapt.v >> xst.prj
echo verilog work ../example_design/sgmii_adapt/tx_rate_adapt.v >> xst.prj
echo verilog work ../example_design/sgmii_adapt/sgmii_adapt.v >> xst.prj
echo verilog work ../example_design/transceiver/rx_elastic_buffer.v >> xst.prj
echo verilog work ../example_design/gig_eth_pcs_pma_sgmii_v10_3_mod.v >> xst.prj
echo verilog work ../example_design/gig_eth_pcs_pma_sgmii_v10_3_block.v >> xst.prj
echo verilog work ../example_design/gig_eth_pcs_pma_sgmii_v10_3_example_design.v >> xst.prj
echo 'Synthesizing verilog example design with XST';
xst -ifn xst.scr
copy gig_eth_pcs_pma_sgmii_v10_3_example_design.ngc .\results\
REM Copy the netlist generated by Coregen
echo Copy files from the netlist directory to the results directory
copy ..\..\gig_eth_pcs_pma_sgmii_v10_3.ngc results

REM  Copy the constraints files generated by Coregen
echo Copy files from constraints directory to results directory
copy ..\example_design\gig_eth_pcs_pma_sgmii_v10_3_example_design.ucf results\

cd results
echo Running ngdbuild
ngdbuild gig_eth_pcs_pma_sgmii_v10_3_example_design

echo Running map
map -ol high -pr b -timing gig_eth_pcs_pma_sgmii_v10_3_example_design -o mapped.ncd

echo Running par
par -ol high -w mapped.ncd routed.ncd mapped.pcf

echo Running trce
trce -u -e 10 routed -o routed mapped.pcf

echo 'Running design through bitgen'
bitgen -w routed

echo 'Running netgen to create gate level Verilog model'
netgen -ofmt verilog -pcf mapped.pcf -sim -dir . -tm gig_eth_pcs_pma_sgmii_v10_3_example_design -w -sdf_anno false routed.ncd routed.v
