#!/bin/sh

rm -rf simv* csrc DVEfiles AN.DB

echo "Compiling Core Simulation Models"
vlogan +v2k \
      ../../../gig_eth_pcs_pma_sgmii_v10_3.v \
      ../../example_design/sync_block.v \
      ../../example_design/reset_sync.v \
      ../../example_design/transceiver/gtp_wrapper_tile.v \
      ../../example_design/transceiver/gtp_wrapper.v \
      ../../example_design/transceiver/transceiver_A.v \
      ../../example_design/sgmii_adapt/johnson_cntr.v \
      ../../example_design/sgmii_adapt/clk_gen.v \
      ../../example_design/sgmii_adapt/rx_rate_adapt.v \
      ../../example_design/sgmii_adapt/tx_rate_adapt.v \
      ../../example_design/sgmii_adapt/sgmii_adapt.v \
      ../../example_design/transceiver/rx_elastic_buffer.v \
      ../../example_design/gig_eth_pcs_pma_sgmii_v10_3_block.v \
      ../../example_design/gig_eth_pcs_pma_sgmii_v10_3_example_design.v \
      ../stimulus_tb.v \
      ../demo_tb.v

echo "Elaborating design"
vcs +vcs+lic+wait \
    -debug \
    testbench glbl

echo "Starting simulation"
./simv -ucli -s -i ucli_commands.key

dve -vpd vcdplus.vpd -session vcs_session.tcl
