# SimVision Command Script

#
# groups
#

if {[catch {group new -name {System Signals} -overlay 0}] != ""} {
    group using {System Signals}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
group insert \
    testbench.reset \
    testbench.brefclk_p \
    testbench.brefclk_n
    testbench.signal_detect0 \

if {[catch {group new -name {Management I/F 0} -overlay 0}] != ""} {
    group using {Management I/F}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
group insert \
    testbench.dut.mdc0 \
    testbench.dut.mdio0_i \
    testbench.dut.mdio0_o \
    testbench.dut.mdio0_t \
    {testbench.phyad0[4:0]} \
    testbench.status_vector0

if {[catch {group new -name {Tx GMII 0} -overlay 0}] != ""} {
    group using {Tx GMII}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
group insert \
    {testbench.gmii_txd0[7:0]} \
    testbench.gmii_tx_en0 \
    testbench.gmii_tx_er0

if {[catch {group new -name {Rx GMII 0} -overlay 0}] != ""} {
    group using {Rx GMII}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
group insert \
    {testbench.gmii_rxd0[7:0]} \
    testbench.gmii_rx_dv0 \
    testbench.gmii_rx_er0

if {[catch {group new -name {RocketIO Tx 0} -overlay 0}] != ""} {
    group using {RocketIO Tx}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
group insert \
    testbench.txp0 \
    testbench.txn0

if {[catch {group new -name {RocketIO Rx 0} -overlay 0}] != ""} {
    group using {RocketIO Rx}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
group insert \
    testbench.rxp0 \
    testbench.rxn0

if {[catch {group new -name {Auto-Neg control 0} -overlay 0}] != ""} {
    group using {Auto-Neg control}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
group insert \
    {testbench.link_timer_basex0[8:0]} \
    {testbench.link_timer_sgmii0[8:0]} \
    testbench.basex_or_sgmii0
    testbench.an_interrupt0
if {[catch {group new -name {Tx Monitor 0} -overlay 0}] != ""} {
    group using {Tx Monitor}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
group insert \
    testbench.stimulus_A.mon_tx_clk \
    {testbench.stimulus_A.tx_pdata[7:0]} \
    testbench.stimulus_A.tx_is_k \
    testbench.stimulus_A.bitclock
if {[catch {group new -name {Rx Stimulus 0} -overlay 0}] != ""} {
    group using {Rx Stimulus}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
group insert \
    testbench.stimulus_A.stim_rx_clk \
    testbench.stimulus_A.rx_even \
    {testbench.stimulus_A.rx_pdata[7:0]} \
    testbench.stimulus_A.rx_is_k \
    testbench.stimulus_A.rx_rundisp_pos

if {[catch {group new -name {Test semaphores} -overlay 0}] != ""} {
    group using {Test semaphores}
    group set -overlay 0
    group set -comment {}
    group clear 0 end
}
    testbench.configuration_finished \
    testbench.tx_monitor_finished0 \
    testbench.rx_monitor_finished0 \
    testbench.simulation_finished
#
# Waveform windows
#
if {[window find -match exact -name "Waveform 1"] == {}} {
    window new WaveWindow -name "Waveform 1" -geometry 906x585+25+55
} else {
    window geometry "Waveform 1" 906x585+25+55
}
window target "Waveform 1" on
waveform using {Waveform 1}
waveform sidebar visibility partial
waveform set \
    -primarycursor TimeA \
    -signalnames name \
    -signalwidth 175 \
    -units fs \
    -valuewidth 75
cursor set -using TimeA -time 50,000,000,000fs
cursor set -using TimeA -marching 1
waveform baseline set -time 0

set groupId [waveform add -groups {{System Signals}}]

set groupId [waveform add -groups {{Management I/F 0}}]

set groupId [waveform add -groups {{Tx GMII 0}}]

set groupId [waveform add -groups {{Rx GMII 0}}]

set groupId [waveform add -groups {{RocketIO Tx 0}}]

set groupId [waveform add -groups {{RocketIO Rx 0}}]

set groupId [waveform add -groups {{Auto-Neg control 0}}]

set groupId [waveform add -groups {{Tx Monitor 0}}]

set groupId [waveform add -groups {{Rx Stimulus 0}}]

set groupId [waveform add -groups {{Test semaphores}}]

waveform xview limits 0fs 10us

simcontrol run -time 200us

