#!/bin/sh
mkdir work

echo "Compiling Core Simulation Models"
ncvlog -work work ../../implement/results/routed.v

echo "Compiling Test Bench"
ncvlog -work work ../stimulus_tb.v ../demo_tb.v

echo "Compiling SDF file"
ncsdfc ../../implement/results/routed.sdf -output ./routed.sdf.X

echo "Generating SDF command file"
echo 'COMPILED_SDF_FILE = "routed.sdf.X",' > sdf.cmd
echo 'SCOPE = testbench.dut,' >> sdf.cmd
echo 'MTM_CONTROL = "MAXIMUM";' >> sdf.cmd

echo "Elaborating design"
ncelab -no_tchk_msg -pulse_r 0 -access +rw -sdf_cmd_file sdf.cmd work.testbench glbl

echo "Starting simulation"
ncsim -gui work.testbench -input @"simvision -input wave_ncsim.sv"
