#!/bin/sh

rm -rf simv* csrc DVEfiles AN.DB

echo "Compiling Core Simulation Models"
vlogan +v2k \
      ../../implement/results/routed.v \
      ../stimulus_tb.v \
      ../demo_tb.v
      
echo "Elaborating design"
vcs   \
      +vcs+lic+wait \
      +neg_tchk \
      +transport_path_delays +pulse_e/0 +pulse_r/0 \
      +transport_int_delays +pulse_int_e/0 +pulse_int_r/0 \
      -debug \
      -sdf max:testbench.dut:../../implement/results/routed.sdf \
      testbench glbl
    
echo "Starting simulation"
./simv -ucli -s -i ucli_commands.key

dve -vpd vcdplus.vpd -session vcs_session.tcl
