`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   10:40:09 12/16/2013
// Design Name:   JTAG_IF
// Module Name:   C:/Xilinx/project/pulgen_V2/PulGen_V2/JTAG_IF_TB.v
// Project Name:  PulGen_V2
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: JTAG_IF
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module JTAG_IF_TB;

	// Inputs
	reg CLK;
	reg RST;
	reg [5:0] LOC_ENB;
	reg [3:0] LOC_WE;
	reg [7:0] LOC_WD;

	// Outputs
	wire [31:0] POUT;
	wire LOC_FULL;

	// Instantiate the Unit Under Test (UUT)
	JTAG_IF uut (
		.CLK(CLK), 
		.RST(RST), 
		.POUT(POUT), 
		.LOC_ENB(LOC_ENB), 
		.LOC_FULL(LOC_FULL), 
		.LOC_WE(LOC_WE), 
		.LOC_WD(LOC_WD)
	);

	initial begin
		// Initialize Inputs
//		CLK = 0;
		RST = 1'b1;
		LOC_ENB[5:0] = 6'd0;
		LOC_WE = 1'd0;
		LOC_WD[7:0] = 8'd0;

		// Wait 100 ns for global reset to finish
		#100; RST = 1'b0;
		
		#40; LOC_ENB[5:0] = 6'b00_0100; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1111;
		#40; LOC_ENB[5:0] = 6'b00_1000; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1111;
		#40; LOC_ENB[5:0] = 6'b00_0001; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1111;
		#40; LOC_ENB[5:0] = 6'b00_0010; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1111;
	
		#40; LOC_ENB[5:0] = 6'b00_0001; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1101;
		#40; LOC_ENB[5:0] = 6'b00_1000; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1101;
		#40; LOC_ENB[5:0] = 6'b00_0010; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1101;
		#40; LOC_ENB[5:0] = 6'b00_0100; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1101;
		
		#40; LOC_ENB[5:0] = 6'b00_0010; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1011;
		#40; LOC_ENB[5:0] = 6'b00_0100; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1011;
		#40; LOC_ENB[5:0] = 6'b00_1000; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1011;
		#40; LOC_ENB[5:0] = 6'b00_0001; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_1011;
		
		#40; LOC_ENB[5:0] = 6'b00_0001; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_0111;
		#40; LOC_ENB[5:0] = 6'b00_0010; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_0111;
		#40; LOC_ENB[5:0] = 6'b00_0100; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_0111;
		#40; LOC_ENB[5:0] = 6'b00_1000; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0111_0111;
		
		#40; LOC_ENB[5:0] = 6'b00_0001; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0110_1111;
		#40; LOC_ENB[5:0] = 6'b00_0010; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0110_1111;
		#40; LOC_ENB[5:0] = 6'b00_0100; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0110_1111;
		#40; LOC_ENB[5:0] = 6'b00_1000; LOC_WE = 1'b0; LOC_WD[7:0] = 8'b0110_1111;
		
		#40; LOC_ENB[5:0] = 6'b00_0000; LOC_WE = 1'b0; LOC_WD[7:0] = 8'd0000_0000;
		
		#100; LOC_ENB[5:0] = 6'b00_0000; LOC_WE = 1'b0; LOC_WD[7:0] = 8'd0000_0000;
		#1000; 
		// Add stimulus here

	end
	
	parameter PERIOD = 20; 
	always begin 
		CLK = 1'b0;
		#(PERIOD/2); CLK = 1'b1 ;
      #(PERIOD/2); 
	end 

      
endmodule

